Patch-Source: https://git.deuxfleurs.fr/Deuxfleurs/garage/pulls/559
--
From e927fe8aab81bdfe9725432e3868b7dac97cfb25 Mon Sep 17 00:00:00 2001
From: Jakub Jirutka <jakub@jirutka.cz>
Date: Sun, 7 May 2023 00:51:31 +0200
Subject: [PATCH] Remove unnecessary/unused "timeago" features

To decrease dependency bloat and binary size.
---
 Cargo.lock            | 37 -------------------------------------
 src/garage/Cargo.toml |  2 +-
 2 files changed, 1 insertion(+), 38 deletions(-)

diff --git a/Cargo.lock b/Cargo.lock
index 89d2574..684a9b7 100644
--- a/Cargo.lock
+++ b/Cargo.lock
@@ -1757,15 +1757,6 @@ dependencies = [
  "windows-sys",
 ]
 
-[[package]]
-name = "isolang"
-version = "2.2.0"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "b64fd6448ee8a45ce6e4365c58e4fa7d8740cba2ed70db3e9ab4879ebd93eaaa"
-dependencies = [
- "phf",
-]
-
 [[package]]
 name = "itertools"
 version = "0.4.19"
@@ -2546,24 +2537,6 @@ dependencies = [
  "indexmap",
 ]
 
-[[package]]
-name = "phf"
-version = "0.10.1"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "fabbf1ead8a5bcbc20f5f8b939ee3f5b0f6f281b6ad3468b84656b658b455259"
-dependencies = [
- "phf_shared",
-]
-
-[[package]]
-name = "phf_shared"
-version = "0.10.0"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "b6796ad771acdc0123d2a88dc428b5e38ef24456743ddb1744ed628f9815c096"
-dependencies = [
- "siphasher",
-]
-
 [[package]]
 name = "pin-project"
 version = "1.0.12"
@@ -3406,12 +3379,6 @@ dependencies = [
  "libc",
 ]
 
-[[package]]
-name = "siphasher"
-version = "0.3.10"
-source = "registry+https://github.com/rust-lang/crates.io-index"
-checksum = "7bd3e3206899af3f8b12af284fafc038cc1dc2b41d1b89dd17297221c5d225de"
-
 [[package]]
 name = "slab"
 version = "0.4.7"
@@ -3678,10 +3645,6 @@ name = "timeago"
 version = "0.4.1"
 source = "registry+https://github.com/rust-lang/crates.io-index"
 checksum = "5082dc942361cdfb74eab98bf995762d6015e5bb3a20bf7c5c71213778b4fcb4"
-dependencies = [
- "chrono",
- "isolang",
-]
 
 [[package]]
 name = "tinyvec"
diff --git a/src/garage/Cargo.toml b/src/garage/Cargo.toml
index 0cbdf89..c8f8756 100644
--- a/src/garage/Cargo.toml
+++ b/src/garage/Cargo.toml
@@ -33,7 +33,7 @@ garage_web = { version = "0.8.2", path = "../web" }
 backtrace = "0.3"
 bytes = "1.0"
 bytesize = "1.1"
-timeago = "0.4"
+timeago = { version = "0.4", default-features = false }
 parse_duration = "2.1"
 hex = "0.4"
 tracing = { version = "0.1" }
-- 
2.40.1

